Class | ActiveMerchant::Billing::EfsnetGateway
In: | lib/active_merchant/billing/gateways/efsnet.rb
Parent: | Gateway

### Methods

authorize capture credit force new purchase system_check test? voice_authorize void

### Constants

TEST_URL | = | 'https://testefsnet.concordebiz.com/efsnet.dll'
LIVE_URL | = | 'https://efsnet.concordebiz.com/efsnet.dll'
CREDIT_CARD_FIELDS | = | [:authorization_number, :client_ip_address, :billing_address, :billing_city, :billing_state, :billing_postal_code, :billing_country, :billing_name, :card_verification_value, :expiration_month, :expiration_year, :reference_number, :transaction_amount, :account_number ]
ACTIONS | = | { :credit_card_authorize => CREDIT_CARD_FIELDS, :credit_card_charge => CREDIT_CARD_FIELDS, :credit_card_voice_authorize => CREDIT_CARD_FIELDS, :credit_card_capture => CREDIT_CARD_FIELDS, :credit_card_credit => CREDIT_CARD_FIELDS << :original_transaction_amount, :credit_card_refund => [:reference_number, :transaction_amount, :original_transaction_amount, :original_transaction_ID, :client_ip_address], :void_transaction => [:reference_number, :transaction_ID], :credit_card_settle => [:reference_number, :transaction_amount, :original_transaction_amount, :original_transaction_ID, :client_ip_address], :system_check => [:system_check], }

### Public Class methods

new(options = {})

login is your Store ID password is your Store Key

### Public Instance methods

authorize(money, creditcard, options = {})
capture(money, identification, options = {})
credit(money, identification_or_credit_card, options = {})
force(money, authorization_code, creditcard, options = {})
purchase(money, creditcard, options = {})
system_check()
test?()
voice_authorize(money, authorization_code, creditcard, options = {})
void(identification, options = {})

[Validate]